# /estimates/bulk

## Get bulk estimates

<mark style="color:green;">`POST`</mark> `https://api.nftbank.ai/estimates-v2/estimates/bulk`

#### Headers

| Name                                        | Type   | Description                                  |
| ------------------------------------------- | ------ | -------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | API key request via \[API key request] link. |

#### Request Body

| Name                                              | Type   | Description                                                   |
| ------------------------------------------------- | ------ | ------------------------------------------------------------- |
| asset\_contract<mark style="color:red;">\*</mark> | string | Asset contract address                                        |
| token\_ids<mark style="color:red;">\*</mark>      | array  | Token IDs                                                     |
| chain\_id                                         | string | Chain ID ("ETHEREUM", "MATIC", "KLAYTN", default: "ETHEREUM") |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "_id": "ethereum-0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a_1-19700101",
            "asset_contract": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a",
            "asset_info": {
                "contract_address": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a",
                "name": "Lands",
                "symbol": "LAND"
            },
            "chain_id": "ETHEREUM",
            "dapp_info": {
                "id": "sandbox",
                "image_url": "https://lh3.googleusercontent.com/SXH8tW1siikB80rwCRnjm1a5xM_MwTg9Xl9Db6mioIk9HIlDM09pVoSR7GKJgS6ulSUpgW9BDtMk_ePX_NKgO9A=s60",
                "name": "The Sandbox"
            },
            "estimate": [
                {
                    "currency_symbol": "USD",
                    "estimate_price": 100.000000
                },
                {
                    "currency_symbol": "SAND",
                    "estimate_price": 1000.000000
                },
                {
                    "currency_symbol": "ETH",
                    "estimate_price": 0.100000000
                }
            ],
            "estimated_at": "Mon, 1 Jan 1970 00:00:00 GMT",
            "item_id": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a_1",
            "token_id": "1",
            "traits": {
                "location_x": 0,
                "location_y": 0
            }
        },
        {
            "_id": "ethereum-0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a_2-19700101",
            "asset_contract": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a",
            "asset_info": {
                "contract_address": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a",
                "name": "Lands",
                "symbol": "LAND"
            },
            "chain_id": "ETHEREUM",
            "dapp_info": {
                "id": "sandbox",
                "image_url": "https://lh3.googleusercontent.com/SXH8tW1siikB80rwCRnjm1a5xM_MwTg9Xl9Db6mioIk9HIlDM09pVoSR7GKJgS6ulSUpgW9BDtMk_ePX_NKgO9A=s60",
                "name": "The Sandbox"
            },
            "estimate": [
                {
                    "currency_symbol": "USD",
                    "estimate_price": 200.0000000
                },
                {
                    "currency_symbol": "SAND",
                    "estimate_price": 2000.000000000
                },
                {
                    "currency_symbol": "ETH",
                    "estimate_price": 0.20000000
                }
            ],
            "estimated_at": "Mon, 1 Jan 1970 00:00:00 GMT",
            "item_id": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a_2",
            "token_id": "2",
            "traits": {
                "location_x": 1,
                "location_y": 1
            }
        }
    ],
    "response": 200
}
```

{% endtab %}
{% endtabs %}

<mark style="color:blue;">**curl request example**</mark>

```shell
curl --request POST 'https://api.nftbank.ai/estimates-v2/estimates/bulk' \
-H 'x-api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data-raw '{
    "asset_contract": "0x50f5474724e0ee42d9a4e711ccfb275809fd6d4a",
    "token_ids": ["100001", "159287"],
    "chain_id": "ETHEREUM"}
'
```

<mark style="color:blue;">**curl response example**</mark>

```json
{
    "data": [
        {
            "_id": "ethereum-0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38_100001-20220409",
            "asset_contract": "0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38",
            "asset_info": {
                "contract_address": "0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38",
                "name": "Lands",
                "symbol": "LAND"
            },
            "chain_id": "ETHEREUM",
            "dapp_info": {
                "id": "sandbox",
                "image_url": "https://lh3.googleusercontent.com/SXH8tW1siikB80rwCRnjm1a5xM_MwTg9Xl9Db6mioIk9HIlDM09pVoSR7GKJgS6ulSUpgW9BDtMk_ePX_NKgO9A=s60",
                "name": "The Sandbox"
            },
            "estimate": [
                {
                    "currency_symbol": "USD",
                    "estimate_price": 9664.264426359947
                }
            ],
            "estimated_at": "Sat, 09 Apr 2022 00:00:00 GMT",
            "item_id": "0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38_100001",
            "token_id": "100001",
            "traits": {
                "location_x": -163,
                "location_y": 41,
                "type": null
            }
        },
        {
            "_id": "ethereum-0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38_159287-20220409",
            "asset_contract": "0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38",
            "asset_info": {
                "contract_address": "0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38",
                "name": "Lands",
                "symbol": "LAND"
            },
            "chain_id": "ETHEREUM",
            "dapp_info": {
                "id": "sandbox",
                "image_url": "https://lh3.googleusercontent.com/SXH8tW1siikB80rwCRnjm1a5xM_MwTg9Xl9Db6mioIk9HIlDM09pVoSR7GKJgS6ulSUpgW9BDtMk_ePX_NKgO9A=s60",
                "name": "The Sandbox"
            },
            "estimate": [
                {
                    "currency_symbol": "USD",
                    "estimate_price": 6346.871304778362
                }
            ],
            "estimated_at": "Sat, 09 Apr 2022 00:00:00 GMT",
            "item_id": "0x5cc5b05a8a13e3fbdb0bb9fccd98d38e50f90c38_159287",
            "token_id": "159287",
            "traits": {
                "location_x": -37,
                "location_y": 186,
                "type": null
            }
        }
    ],
    "response": 200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftbank.ai/nft-valuation-api-1/nft-price-valuation/estimates-bulk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
